# OpalLineSilenceDetector Class Reference

`#include <lidep.h>`

Inheritance diagram for OpalLineSilenceDetector:

[legend]
Collaboration diagram for OpalLineSilenceDetector:
[legend]

## Public Member Functions

Construction
| OpalLineSilenceDetector (OpalLine &line, const Params &newParam)
Overrides from OpalSilenceDetector
virtual unsigned | GetAverageSignalLevel (const BYTE *buffer, PINDEX size)

## Protected Attributes

OpalLine & | line

## Constructor & Destructor Documentation

OpalLineSilenceDetector::OpalLineSilenceDetector | ( | OpalLine & | line,
|  | const Params & | newParam |
| ) |  |  |

Create a new silence detector for a LID.

Parameters:

  line | Line to detect silence on
  newParam | New parameters for silence detector

## Member Function Documentation

virtual unsigned OpalLineSilenceDetector::GetAverageSignalLevel | ( | const BYTE * | buffer,
|  | PINDEX | size |
| ) |  |  | `[virtual]`

Get the average signal level in the stream. This is called from within the silence detection algorithm to calculate the average signal level of the last data frame read from the stream.

The default behaviour returns UINT_MAX which indicates that the average signal has no meaning for the stream.

Parameters:

  buffer | RTP payload being detected
  size | Size of payload buffer

Implements OpalSilenceDetector.

## Field Documentation

OpalLine& OpalLineSilenceDetector::line `[protected]`

The documentation for this class was generated from the following file:

- lidep.h